IBldInfData (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.bldinf.IBldInfData interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.bldinf
Interface IBldInfData

All Superinterfaces:
  IData<IBldInfView>

All Known Subinterfaces:
  IBldInfView

    public interface IBldInfData

extends IData<IBldInfView>

A read-only view onto bld.inf contents. All the arrays and lists are read-only and any changes will throw exceptions or be ignored.

Method Summary
`IExtension[]` | `getAllExtensions()` Get all the IExtensions from the normal and test sections.
`IMakefileReference[]` | `getAllMakefileReferences()` Read copy of list of normal and test makefiles This is a copy of information derived from the view contents at the time of the query.
`IMakMakeReference[]` | `getAllMakMakeReferences()` Read array of normal and test MMPs and makefiles.
`IMMPReference[]` | `getAllMMPReferences()` Read array of normal and test MMP files.
`java.util.List<IExport>` | `getExports()` Read prj_exports contents
`java.util.List<IExtension>` | `getExtensions()` Read the PRJ_EXTENSIONS contents.
`java.util.List<IMakMakeReference>` | `getMakMakeReferences()` Read prj_mmpfiles contents (may share entries from #getMakMakeReferences())
`java.util.List<java.lang.String>` | `getPlatforms()` Read supported platforms, with case-insensitive membership tests This list is not validated.
`java.util.List<IExport>` | `getTestExports()` Read prj_testexports contents (may share entries from #getExports())
`java.util.List<IExtension>` | `getTestExtensions()` Read the PRJ_TESTEXTENSIONS contents.
`java.util.List<IMakMakeReference>` | `getTestMakMakeReferences()` Read test_mmpfiles contents (may share entries from #getTestMakMakeReferences())

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IData
`getModelPath, getProjectPath, getReferencedFiles`

Method Detail

### getPlatforms

    java.util.List<java.lang.String> getPlatforms()

  Read supported platforms, with case-insensitive membership tests

  This list is not validated. It contains literal strings like “default”, “-winscw”, etc. The client is expected to understand what to put here. Friendlier APIs may be provided if we can get a good story on what these cases mean:

  - Is there a way to set platforms to “default” then get the actual list back? Do we want to “flatten” the list in any case? Note, the list can change between SDKs, which are difficult to distinguish in #ifdefs.
  - If the editor shows the actual list of platforms, what does the source eventually show? Given different platforms that may come and go in the future (and between SDKs), should the actual list even be displayed?

  Returns:

### getExports

    java.util.List<IExport> getExports()

  Read prj_exports contents

  Returns:

### getTestExports

    java.util.List<IExport> getTestExports()

  Read prj_testexports contents (may share entries from #getExports())

  Returns:

### getMakMakeReferences

    java.util.List<IMakMakeReference> getMakMakeReferences()

  Read prj_mmpfiles contents (may share entries from #getMakMakeReferences())

  Returns:

### getTestMakMakeReferences

    java.util.List<IMakMakeReference> getTestMakMakeReferences()

  Read test_mmpfiles contents (may share entries from #getTestMakMakeReferences())

  Returns:

### getAllMakMakeReferences

    IMakMakeReference[] getAllMakMakeReferences()

  Read array of normal and test MMPs and makefiles.

  This is a copy of information derived from the view contents at the time of the query.

  (modify through #getMakMakeReferences() / #getTestMakMakeReferences())

  Returns:
    array, never null

### getAllMMPReferences

    IMMPReference[] getAllMMPReferences()

  Read array of normal and test MMP files.

  This is a copy of information derived from the view contents at the time of the query.

  (modify through #getMakMakeReferences() / #getTestMakMakeReferences())

  Returns:
    array, never null

### getAllMakefileReferences

    IMakefileReference[] getAllMakefileReferences()

  Read copy of list of normal and test makefiles

  This is a copy of information derived from the view contents at the time of the query.

  (modify through #getMakMakeReferences() / #getTestMakMakeReferences())

  Returns:
    array, never null

### getExtensions

    java.util.List<IExtension> getExtensions()

  Read the PRJ_EXTENSIONS contents.

  Returns:
    list of IExtension

### getTestExtensions

    java.util.List<IExtension> getTestExtensions()

  Read the PRJ_TESTEXTENSIONS contents.

  Returns:
    list of IExtension

### getAllExtensions

    IExtension[] getAllExtensions()

  Get all the IExtensions from the normal and test sections.

  Returns:
    array of IExtension, never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD